<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_374bf250a2cd00d5" . "f5742fea7c487197" => base64_decode("ZG9jd" . "W1lbn" . "RfdGl" . "0bGU="), "_af9f5df6d" . "f6e4ab6fd5" . "318e899627" . "078" => base64_decode("ZG9jdW1l" . "bnRfdHlw" . "ZQ=="));
use Claromentis\Core\Event\GenericEvent;


class DownloadDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetDocumentTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_374bf250a2c" . "d00d5f5742fe" . "a7c487197"]);
    }
    public function GetDocumentType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_af9f5df6df6e4ab6fd5318e8996270" . "78"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}